> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lịch sử sự kiện quyền

> Lấy danh sách lịch sử sự kiện quyền của tài khoản chứng khoán.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-05-07.yaml get /accounts/{accountNo}/corporate-action-history
openapi: 3.0.0
info:
  title: DNSE-OpenAPI-V2
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /accounts/{accountNo}/corporate-action-history:
    parameters:
      - name: accountNo
        in: path
        required: true
        description: Số tiểu khoản
        schema:
          type: integer
        example: 1179019
    get:
      tags:
        - account
      summary: Lịch sử sự kiện quyền
      description: Lấy danh sách lịch sử sự kiện quyền của tài khoản chứng khoán.
      parameters:
        - name: symbol
          in: query
          description: Mã chứng khoán
          schema:
            type: string
          example: MSB
        - name: caType
          in: query
          description: |-
            Phân loại sự kiện quyền 
            - cashDividend: Sự kiện quyền trả cổ tức bằng tiền
            - stockDividend: Sự kiện quyền trả cổ tức cổ phiếu
            - stockBonus: Sự kiện quyền trả cổ phiếu thưởng 
            - rightsOffering: Sự kiện quyền mua cổ phiếu phát hành thêm
          schema:
            type: string
          example: stockDividend
        - name: caStatus
          in: query
          description: |-
            Trạng thái xử lý sự kiện quyền 
            - pending: Quyền đang chờ xử lý hoặc đang được thực hiện
            - completed: Quyền đã được xử lý hoàn tất
            - canceled: Quyền đã hủy thành công
          schema:
            type: string
          example: pending
        - name: pageIndex
          in: query
          description: Trang hiện tại
          schema:
            type: integer
          example: 3431
        - name: pageSize
          in: query
          description: Số lượng bản ghi trên mỗi trang
          schema:
            type: integer
          example: 3431
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: 'Phiên bản API '
          schema:
            type: string
          example: '2026-05-07'
      responses:
        '200':
          description: OK
          headers:
            Cache-Control:
              schema:
                type: string
              example: no-cache, no-store, max-age=0, must-revalidate
            Date:
              schema:
                type: string
              example: Mon, 25 May 2026 08:14:19 GMT
            Expires:
              schema:
                type: integer
              example: 0
            Pragma:
              schema:
                type: string
              example: no-cache
            Vary:
              schema:
                type: string
              example: Origin
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 10000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 9995
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1779782259
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
            X-Xss-Protection:
              schema:
                type: integer
              example: 0
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountNo:
                    type: string
                    example: '0001179019'
                    description: Số tiểu khoản
                  data:
                    type: object
                    description: >-
                      Danh sách quyền chứng khoán của tiểu khoản, được phân loại
                      theo từng loại quyền
                    properties:
                      cashDividend:
                        type: array
                        description: Danh sách quyền trả cổ tức bằng tiền
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int32
                              example: 617210
                              description: ID sự kiện quyền
                            symbol:
                              type: string
                              example: MSB
                              description: Mã chứng khoán
                            caStatus:
                              type: string
                              example: pending
                              description: >-
                                Trạng thái xử lý sự kiện quyền

                                - pending: Quyền đang chờ xử lý hoặc đang được
                                thực hiện

                                - completed: Quyền đã được xử lý hoàn tất

                                - canceled: Quyền đã hủy thành công
                            recordDate:
                              type: string
                              example: '2026-04-24'
                              description: Ngày đăng ký cuối cùng sự kiện quyền
                            processDate:
                              type: string
                              example: '2026-05-13'
                              description: Ngày thanh toán dự kiến
                            holdingQuantity:
                              type: integer
                              format: int32
                              example: 600
                              description: Số lượng chứng khoán sở hữu tại ngày chốt quyền
                            dividendValue:
                              type: integer
                              format: int32
                              example: 500
                              description: Giá trị cổ tức trên mỗi cổ phiếu
                            grossAmount:
                              type: integer
                              format: int32
                              example: 300000
                              description: Tổng giá trị tiền cổ tức trước thuế
                            taxAmount:
                              type: integer
                              format: int32
                              example: 15000
                              description: Số tiền thuế bị khấu trừ
                            netAmount:
                              type: integer
                              format: int32
                              example: 285000
                              description: Số tiền thực nhận sau thuế
                      stockDividend:
                        type: array
                        description: Danh sách quyền trả cổ tức bằng cổ phiếu
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int32
                              example: 618949
                              description: ID sự kiện quyền
                            symbol:
                              type: string
                              example: OIL
                              description: Mã chứng khoán
                            caStatus:
                              type: string
                              example: pending
                              description: >-
                                Trạng thái xử lý sự kiện quyền

                                - pending: Quyền đang chờ xử lý hoặc đang được
                                thực hiện

                                - completed: Quyền đã được xử lý hoàn tất

                                - canceled: Quyền đã hủy thành công
                            recordDate:
                              type: string
                              example: '2026-04-29'
                              description: Ngày đăng ký cuối cùng sự kiện quyền
                            processDate:
                              type: string
                              example: '2026-05-14'
                              description: Ngày phân phối cổ phiếu cổ tức dự kiến
                            holdingQuantity:
                              type: integer
                              format: int32
                              example: 3211
                              description: Số lượng chứng khoán sở hữu tại ngày chốt quyền
                            ratio:
                              type: string
                              example: 5/3
                              description: Tỷ lệ thực hiện quyền nhận cổ tức bằng cổ phiếu
                            receivedQuantity:
                              type: integer
                              format: int32
                              example: 1926
                              description: Số lượng cổ phiếu cổ tức được nhận
                      stockBonus:
                        type: array
                        description: Danh sách quyền trả cổ phiếu thưởng
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int32
                              example: 617276
                              description: ID sự kiện quyền
                            symbol:
                              type: string
                              example: MSB
                              description: Mã chứng khoán
                            caStatus:
                              type: string
                              example: completed
                              description: >-
                                Trạng thái xử lý sự kiện quyền

                                - pending: Quyền đang chờ xử lý hoặc đang được
                                thực hiện

                                - completed: Quyền đã được xử lý hoàn tất

                                - canceled: Quyền đã hủy thành công
                            recordDate:
                              type: string
                              example: '2026-04-24'
                              description: Ngày đăng ký cuối cùng sự kiện quyền
                            processDate:
                              type: string
                              example: '2026-05-13'
                              description: Ngày phân phối cổ phiếu thưởng dự kiến
                            holdingQuantity:
                              type: integer
                              format: int32
                              example: 600
                              description: Số lượng chứng khoán sở hữu tại ngày chốt quyền
                            ratio:
                              type: string
                              example: 15/6
                              description: Tỷ lệ thực hiện quyền nhận cổ phiếu thưởng
                            receivedQuantity:
                              type: integer
                              format: int32
                              example: 240
                              description: Số lượng cổ phiếu thưởng khách hàng được nhận
                      rightsOffering:
                        type: array
                        description: Danh sách quyền mua cổ phiếu phát hành thêm
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int32
                              example: 623428
                              description: ID sự kiện quyền
                            symbol:
                              type: string
                              example: OIL
                              description: Mã chứng khoán
                            caStatus:
                              type: string
                              example: pending
                              description: >-
                                Trạng thái xử lý sự kiện quyền

                                - pending: Quyền đang chờ xử lý hoặc đang được
                                thực hiện

                                - completed: Quyền đã được xử lý hoàn tất

                                - canceled: Quyền đã hủy thành công
                            recordDate:
                              type: string
                              example: '2026-04-29'
                              description: >-
                                Ngày đăng ký cuối cùng sự kiện quyền để xác định
                                quyền mua
                            processDate:
                              type: string
                              example: '2026-05-14'
                              description: Ngày phân phối cổ phiếu quyền mua dự kiến
                            holdingQuantity:
                              type: integer
                              format: int32
                              example: 5137
                              description: Số lượng chứng khoán sở hữu tại ngày chốt quyền
                            ratio:
                              type: string
                              example: 3/1
                              description: Tỷ lệ thực hiện quyền mua cổ phiếu
                            rightPrice:
                              type: integer
                              format: int32
                              example: 11000
                              description: Giá đăng ký mua cổ phiếu phát hành thêm
                            rightsQuantity:
                              type: integer
                              format: int32
                              example: 1712
                              description: Số lượng quyền mua được phân bổ trên tài khoản
                            registeredQuantity:
                              type: integer
                              format: int32
                              example: 170
                              description: Số lượng cổ phiếu phát hành thêm đã đăng ký mua
                            startDateTransfer:
                              type: string
                              example: '2026-05-04'
                              description: Ngày bắt đầu được phép chuyển nhượng quyền mua
                            endDateTransfer:
                              type: string
                              example: '2026-05-13'
                              description: Ngày kết thúc chuyển nhượng quyền mua
                            startDateSubscription:
                              type: string
                              example: '2026-05-04'
                              description: Ngày bắt đầu đăng ký thực hiện quyền mua
                            endDateSubscription:
                              type: string
                              example: '2026-05-13'
                              description: Ngày kết thúc đăng ký thực hiện quyền mua
                  pagination:
                    type: object
                    description: Thông tin phân trang dữ liệu
                    properties:
                      pageIndex:
                        type: integer
                        format: int32
                        example: 0
                        description: Trang hiện tại
                      pageSize:
                        type: integer
                        format: int32
                        example: 100
                        description: Số lượng bản ghi trên mỗi trang
                      totalRecords:
                        type: integer
                        format: int32
                        example: 100
                        description: Tổng số bản ghi
              example:
                accountNo: '0001179019'
                data:
                  cashDividend:
                    - id: 617210
                      symbol: MSB
                      caStatus: pending
                      recordDate: '2026-04-24'
                      processDate: '2026-05-13'
                      holdingQuantity: 600
                      dividendValue: 500
                      grossAmount: 300000
                      taxAmount: 15000
                      netAmount: 285000
                    - id: 615389
                      symbol: LPB
                      caStatus: pending
                      recordDate: '2026-04-06'
                      processDate: '2026-04-21'
                      holdingQuantity: 56300
                      dividendValue: 500
                      grossAmount: 28150000
                      taxAmount: 1407500
                      netAmount: 26742500
                    - id: 611467
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2026-03-31'
                      processDate: '2026-06-26'
                      holdingQuantity: 75081
                      dividendValue: 20000
                      grossAmount: 1501620000
                      taxAmount: 75081000
                      netAmount: 1426539000
                    - id: 606314
                      symbol: DSE
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-19'
                      holdingQuantity: 580
                      dividendValue: 600
                      grossAmount: 348000
                      taxAmount: 17400
                      netAmount: 330600
                    - id: 605284
                      symbol: MBS
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-12'
                      holdingQuantity: 44204
                      dividendValue: 600
                      grossAmount: 26522400
                      taxAmount: 1326120
                      netAmount: 25196280
                    - id: 590256
                      symbol: VPB
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2030-03-21'
                      holdingQuantity: 5614
                      dividendValue: 100
                      grossAmount: 561400
                      taxAmount: 28070
                      netAmount: 533330
                    - id: 588953
                      symbol: VNM
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2030-04-29'
                      holdingQuantity: 97
                      dividendValue: 100
                      grossAmount: 9700
                      taxAmount: 485
                      netAmount: 9215
                    - id: 591943
                      symbol: VND
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2030-03-14'
                      holdingQuantity: 3023
                      dividendValue: 100
                      grossAmount: 302300
                      taxAmount: 15115
                      netAmount: 287185
                    - id: 588478
                      symbol: VNM
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2030-07-03'
                      holdingQuantity: 97
                      dividendValue: 100
                      grossAmount: 9700
                      taxAmount: 485
                      netAmount: 9215
                    - id: 577057
                      symbol: ACB
                      caStatus: completed
                      recordDate: '2026-02-25'
                      processDate: '2026-03-02'
                      holdingQuantity: 214485
                      dividendValue: 5000
                      grossAmount: 1072425000
                      taxAmount: 53621250
                      netAmount: 1018803750
                    - id: 558017
                      symbol: FPT
                      caStatus: completed
                      recordDate: '2025-10-27'
                      processDate: '2025-11-04'
                      holdingQuantity: 8363
                      dividendValue: 10000
                      grossAmount: 83630000
                      taxAmount: 4181500
                      netAmount: 79448500
                    - id: 541265
                      symbol: SHS
                      caStatus: pending
                      recordDate: '2025-08-25'
                      processDate: '2025-08-27'
                      holdingQuantity: 152905
                      dividendValue: 5000
                      grossAmount: 764525000
                      taxAmount: 38226250
                      netAmount: 726298750
                    - id: 498682
                      symbol: MBS
                      caStatus: completed
                      recordDate: '2025-01-15'
                      processDate: '2025-01-16'
                      holdingQuantity: 34204
                      dividendValue: 600
                      grossAmount: 20522400
                      taxAmount: 1026120
                      netAmount: 19496280
                    - id: 496796
                      symbol: BID
                      caStatus: pending
                      recordDate: '2025-01-13'
                      processDate: '2025-01-15'
                      holdingQuantity: 629842
                      dividendValue: 1179
                      grossAmount: 742583718
                      taxAmount: 37129186
                      netAmount: 705454532
                    - id: 496030
                      symbol: BID
                      caStatus: pending
                      recordDate: '2025-01-09'
                      processDate: '2025-01-10'
                      holdingQuantity: 629842
                      dividendValue: 11000
                      grossAmount: 6928262000
                      taxAmount: 346413100
                      netAmount: 6581848900
                    - id: 496223
                      symbol: BID
                      caStatus: pending
                      recordDate: '2025-01-08'
                      processDate: '2025-01-09'
                      holdingQuantity: 629842
                      dividendValue: 11000
                      grossAmount: 6928262000
                      taxAmount: 346413100
                      netAmount: 6581848900
                    - id: 484453
                      symbol: ACB
                      caStatus: completed
                      recordDate: '2024-11-25'
                      processDate: '2024-11-26'
                      holdingQuantity: 147171
                      dividendValue: 500
                      grossAmount: 73585500
                      taxAmount: 3679275
                      netAmount: 69906225
                    - id: 498119
                      symbol: FPT
                      caStatus: pending
                      recordDate: '2024-10-07'
                      processDate: '2024-12-02'
                      holdingQuantity: 2923
                      dividendValue: 10000
                      grossAmount: 29230000
                      taxAmount: 1461500
                      netAmount: 27768500
                    - id: 453002
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2024-09-20'
                      processDate: '2024-10-30'
                      holdingQuantity: 33900
                      dividendValue: 500
                      grossAmount: 16950000
                      taxAmount: 847500
                      netAmount: 16102500
                    - id: 418832
                      symbol: SHS
                      caStatus: pending
                      recordDate: '2024-07-16'
                      processDate: '2024-07-17'
                      holdingQuantity: 148002
                      dividendValue: 5000
                      grossAmount: 740010000
                      taxAmount: 37000500
                      netAmount: 703009500
                    - id: 381553
                      symbol: CII42013
                      caStatus: pending
                      recordDate: '2024-04-10'
                      processDate: '2024-04-10'
                      holdingQuantity: 1
                      dividendValue: 12000
                      grossAmount: 12000
                      taxAmount: 600
                      netAmount: 11400
                    - id: 381560
                      symbol: VCB12108
                      caStatus: pending
                      recordDate: '2024-04-10'
                      processDate: '2024-04-10'
                      holdingQuantity: 2000
                      dividendValue: 13000
                      grossAmount: 26000000
                      taxAmount: 1300000
                      netAmount: 24700000
                    - id: 382892
                      symbol: VIB12216
                      caStatus: completed
                      recordDate: '2024-04-09'
                      processDate: '2024-04-10'
                      holdingQuantity: 2000
                      dividendValue: 14000
                      grossAmount: 28000000
                      taxAmount: 1400000
                      netAmount: 26600000
                    - id: 370881
                      symbol: FPT
                      caStatus: pending
                      recordDate: '2024-04-04'
                      processDate: '2024-04-05'
                      holdingQuantity: 5300
                      dividendValue: 1000
                      grossAmount: 5300000
                      taxAmount: 265000
                      netAmount: 5035000
                    - id: 375553
                      symbol: CII42013
                      caStatus: pending
                      recordDate: '2024-04-03'
                      processDate: '2024-04-10'
                      holdingQuantity: 1
                      dividendValue: 2000
                      grossAmount: 2000
                      taxAmount: 100
                      netAmount: 1900
                    - id: 368809
                      symbol: PVS
                      caStatus: pending
                      recordDate: '2024-04-03'
                      processDate: '2024-04-04'
                      holdingQuantity: 328256
                      dividendValue: 900
                      grossAmount: 295430400
                      taxAmount: 14771520
                      netAmount: 280658880
                    - id: 367375
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2024-04-01'
                      processDate: '2024-04-15'
                      holdingQuantity: 45135
                      dividendValue: 400
                      grossAmount: 18054000
                      taxAmount: 902700
                      netAmount: 17151300
                    - id: 351961
                      symbol: CTG
                      caStatus: pending
                      recordDate: '2024-03-05'
                      processDate: '2024-03-15'
                      holdingQuantity: 189
                      dividendValue: 1000
                      grossAmount: 189000
                      taxAmount: 9450
                      netAmount: 179550
                    - id: 342682
                      symbol: MBS
                      caStatus: pending
                      recordDate: '2024-01-25'
                      processDate: '2024-01-26'
                      holdingQuantity: 34206
                      dividendValue: 8000
                      grossAmount: 273648000
                      taxAmount: 13682400
                      netAmount: 259965600
                    - id: 334303
                      symbol: HPG
                      caStatus: completed
                      recordDate: '2023-10-20'
                      processDate: '2023-10-23'
                      holdingQuantity: 1950
                      dividendValue: 2000
                      grossAmount: 3900000
                      taxAmount: 195000
                      netAmount: 3705000
                    - id: 317826
                      symbol: BID
                      caStatus: completed
                      recordDate: '2023-10-10'
                      processDate: '2024-03-04'
                      holdingQuantity: 31036
                      dividendValue: 5000
                      grossAmount: 155180000
                      taxAmount: 7759000
                      netAmount: 147421000
                    - id: 312046
                      symbol: SSI
                      caStatus: completed
                      recordDate: '2023-08-31'
                      processDate: '2023-09-19'
                      holdingQuantity: 71934
                      dividendValue: 10000
                      grossAmount: 719340000
                      taxAmount: 35967000
                      netAmount: 683373000
                    - id: 302766
                      symbol: SHS
                      caStatus: completed
                      recordDate: '2023-08-30'
                      processDate: '2023-08-31'
                      holdingQuantity: 155494
                      dividendValue: 3000
                      grossAmount: 466482000
                      taxAmount: 23324100
                      netAmount: 443157900
                    - id: 293753
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2023-07-27'
                      processDate: '2023-07-27'
                      holdingQuantity: 62234
                      dividendValue: 1000
                      grossAmount: 62234000
                      taxAmount: 3111700
                      netAmount: 59122300
                    - id: 273102
                      symbol: AAA
                      caStatus: pending
                      recordDate: '2023-02-27'
                      processDate: '2023-02-28'
                      holdingQuantity: 20400
                      dividendValue: 1100
                      grossAmount: 22440000
                      taxAmount: 1122000
                      netAmount: 21318000
                    - id: 241764
                      symbol: SSI
                      caStatus: completed
                      recordDate: '2023-02-17'
                      processDate: '2023-02-20'
                      holdingQuantity: 56200
                      dividendValue: 1200
                      grossAmount: 67440000
                      taxAmount: 3372000
                      netAmount: 64068000
                    - id: 265253
                      symbol: ACB
                      caStatus: pending
                      recordDate: '2023-02-16'
                      processDate: '2023-02-17'
                      holdingQuantity: 340
                      dividendValue: 500
                      grossAmount: 170000
                      taxAmount: 8500
                      netAmount: 161500
                  stockDividend:
                    - id: 618949
                      symbol: OIL
                      caStatus: pending
                      recordDate: '2026-04-29'
                      processDate: '2026-05-14'
                      holdingQuantity: 3211
                      ratio: 5/3
                      receivedQuantity: 1926
                    - id: 612209
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2026-03-31'
                      processDate: '2026-06-26'
                      holdingQuantity: 75081
                      ratio: 4/1
                      receivedQuantity: 18771
                    - id: 607392
                      symbol: MBS
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-12'
                      holdingQuantity: 44204
                      ratio: 56/1
                      receivedQuantity: 790
                    - id: 607025
                      symbol: DSE
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-19'
                      holdingQuantity: 580
                      ratio: 12/5
                      receivedQuantity: 241
                    - id: 598253
                      symbol: TTA
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 100
                      ratio: 100/5
                      receivedQuantity: 5
                    - id: 595511
                      symbol: HPG
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 84246
                      ratio: 100/20
                      receivedQuantity: 16849
                    - id: 603933
                      symbol: MSB
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 500
                      ratio: 100/20
                      receivedQuantity: 100
                    - id: 604403
                      symbol: PVT
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 3000
                      ratio: 100/32
                      receivedQuantity: 960
                    - id: 603262
                      symbol: GEX
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 1300
                      ratio: 20/1
                      receivedQuantity: 65
                    - id: 600681
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 36345
                      ratio: 100/32
                      receivedQuantity: 11633
                    - id: 602838
                      symbol: PVS
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 360081
                      ratio: 100/7
                      receivedQuantity: 25205
                    - id: 598665
                      symbol: PDR
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 1
                      ratio: 100/8
                      receivedQuantity: 0
                    - id: 598482
                      symbol: SHB
                      caStatus: pending
                      recordDate: '2026-03-02'
                      processDate: '2104-03-01'
                      holdingQuantity: 6300
                      ratio: 100/13
                      receivedQuantity: 819
                    - id: 559639
                      symbol: FPT
                      caStatus: completed
                      recordDate: '2025-10-27'
                      processDate: '2025-11-05'
                      holdingQuantity: 8363
                      ratio: 100/23
                      receivedQuantity: 1923
                    - id: 563417
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2025-10-02'
                      processDate: '2025-10-10'
                      holdingQuantity: 36595
                      ratio: 5/2
                      receivedQuantity: 14638
                    - id: 539315
                      symbol: CEO
                      caStatus: pending
                      recordDate: '2025-08-25'
                      processDate: '2025-08-27'
                      holdingQuantity: 1298
                      ratio: 5/2
                      receivedQuantity: 519
                    - id: 485967
                      symbol: ACB
                      caStatus: completed
                      recordDate: '2024-11-25'
                      processDate: '2024-11-26'
                      holdingQuantity: 147171
                      ratio: 10/1
                      receivedQuantity: 14716
                    - id: 465792
                      symbol: SHS
                      caStatus: pending
                      recordDate: '2024-10-07'
                      processDate: '2024-12-02'
                      holdingQuantity: 148205
                      ratio: 111/28
                      receivedQuantity: 37385
                    - id: 449374
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2024-09-20'
                      processDate: '2024-12-11'
                      holdingQuantity: 33900
                      ratio: 100/5
                      receivedQuantity: 1695
                    - id: 456726
                      symbol: TCB
                      caStatus: completed
                      recordDate: '2024-09-16'
                      processDate: '2024-10-03'
                      holdingQuantity: 3855
                      ratio: 111/28
                      receivedQuantity: 972
                    - id: 390737
                      symbol: AAA
                      caStatus: pending
                      recordDate: '2024-05-07'
                      processDate: '2024-05-15'
                      holdingQuantity: 20400
                      ratio: 100/25
                      receivedQuantity: 5100
                    - id: 369343
                      symbol: FPT
                      caStatus: pending
                      recordDate: '2024-04-04'
                      processDate: '2024-04-05'
                      holdingQuantity: 5300
                      ratio: 100/25
                      receivedQuantity: 1325
                    - id: 367850
                      symbol: PVS
                      caStatus: pending
                      recordDate: '2024-04-03'
                      processDate: '2024-04-04'
                      holdingQuantity: 298415
                      ratio: 100/10
                      receivedQuantity: 29841
                    - id: 368177
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2024-04-01'
                      processDate: '2024-04-12'
                      holdingQuantity: 45135
                      ratio: 100/10
                      receivedQuantity: 4514
                    - id: 347946
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2024-01-19'
                      processDate: '2024-02-19'
                      holdingQuantity: 38535
                      ratio: 100/5
                      receivedQuantity: 1927
                    - id: 320996
                      symbol: HPG
                      caStatus: completed
                      recordDate: '2023-10-20'
                      processDate: '2023-10-23'
                      holdingQuantity: 1912
                      ratio: 100/2
                      receivedQuantity: 38
                    - id: 317596
                      symbol: BID
                      caStatus: pending
                      recordDate: '2023-10-10'
                      processDate: '2023-10-27'
                      holdingQuantity: 31036
                      ratio: 100/5
                      receivedQuantity: 1552
                    - id: 311350
                      symbol: SHS
                      caStatus: completed
                      recordDate: '2023-08-31'
                      processDate: '2023-09-19'
                      holdingQuantity: 155494
                      ratio: 100/10
                      receivedQuantity: 15549
                    - id: 305057
                      symbol: TCB
                      caStatus: completed
                      recordDate: '2023-08-30'
                      processDate: '2023-08-31'
                      holdingQuantity: 3700
                      ratio: 100/15
                      receivedQuantity: 555
                    - id: 292688
                      symbol: BID
                      caStatus: pending
                      recordDate: '2023-07-27'
                      processDate: '2023-07-28'
                      holdingQuantity: 31310
                      ratio: 50/1
                      receivedQuantity: 626
                    - id: 292590
                      symbol: BID
                      caStatus: pending
                      recordDate: '2023-07-25'
                      processDate: '2023-07-27'
                      holdingQuantity: 31000
                      ratio: 100/1
                      receivedQuantity: 310
                    - id: 391579
                      symbol: AAA
                      caStatus: pending
                      recordDate: '2023-06-20'
                      processDate: '2023-06-21'
                      holdingQuantity: 20300
                      ratio: 100/10
                      receivedQuantity: 2030
                    - id: 287958
                      symbol: CTG
                      caStatus: completed
                      recordDate: '2023-06-05'
                      processDate: '2024-03-04'
                      holdingQuantity: 126
                      ratio: 100/50
                      receivedQuantity: 63
                    - id: 270027
                      symbol: CTG
                      caStatus: pending
                      recordDate: '2023-02-24'
                      processDate: '2023-02-24'
                      holdingQuantity: 600
                      ratio: 100/21
                      receivedQuantity: 126
                    - id: 247266
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2023-02-20'
                      processDate: '2023-02-21'
                      holdingQuantity: 1700
                      ratio: 1/1
                      receivedQuantity: 1700
                  stockBonus:
                    - id: 617276
                      symbol: MSB
                      caStatus: pending
                      recordDate: '2026-04-24'
                      processDate: '2026-05-13'
                      holdingQuantity: 600
                      ratio: 15/6
                      receivedQuantity: 240
                    - id: 615735
                      symbol: LPB
                      caStatus: pending
                      recordDate: '2026-04-06'
                      processDate: '2026-04-21'
                      holdingQuantity: 56300
                      ratio: 15/2
                      receivedQuantity: 7507
                    - id: 612951
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2026-03-31'
                      processDate: '2026-06-26'
                      holdingQuantity: 75081
                      ratio: 1/1
                      receivedQuantity: 75081
                    - id: 604963
                      symbol: DSE
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-19'
                      holdingQuantity: 580
                      ratio: 56/23
                      receivedQuantity: 238
                    - id: 606706
                      symbol: MBS
                      caStatus: pending
                      recordDate: '2026-03-03'
                      processDate: '2026-03-12'
                      holdingQuantity: 44204
                      ratio: 15/2
                      receivedQuantity: 5894
                    - id: 580678
                      symbol: HUT
                      caStatus: pending
                      recordDate: '2026-02-26'
                      processDate: '2026-03-02'
                      holdingQuantity: 1500
                      ratio: 6/5
                      receivedQuantity: 1250
                    - id: 575861
                      symbol: DSE
                      caStatus: pending
                      recordDate: '2026-02-25'
                      processDate: '2026-03-02'
                      holdingQuantity: 475
                      ratio: 36/8
                      receivedQuantity: 105
                    - id: 579331
                      symbol: ACB
                      caStatus: pending
                      recordDate: '2026-02-25'
                      processDate: '2026-03-19'
                      holdingQuantity: 214485
                      ratio: 15/3
                      receivedQuantity: 42897
                    - id: 558828
                      symbol: FPT
                      caStatus: completed
                      recordDate: '2025-10-27'
                      processDate: '2025-11-05'
                      holdingQuantity: 8363
                      ratio: 100/13
                      receivedQuantity: 1088
                    - id: 540097
                      symbol: ACB
                      caStatus: pending
                      recordDate: '2025-08-25'
                      processDate: '2025-08-27'
                      holdingQuantity: 157487
                      ratio: 10/1
                      receivedQuantity: 15748
                    - id: 459352
                      symbol: TCB
                      caStatus: completed
                      recordDate: '2024-09-16'
                      processDate: '2024-10-03'
                      holdingQuantity: 3855
                      ratio: 111/28
                      receivedQuantity: 972
                    - id: 370112
                      symbol: FPT
                      caStatus: pending
                      recordDate: '2024-04-04'
                      processDate: '2024-04-05'
                      holdingQuantity: 5300
                      ratio: 100/15
                      receivedQuantity: 795
                    - id: 368652
                      symbol: PVS
                      caStatus: pending
                      recordDate: '2024-04-03'
                      processDate: '2024-04-04'
                      holdingQuantity: 328256
                      ratio: 100/10
                      receivedQuantity: 32825
                    - id: 347305
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2024-01-19'
                      processDate: '2024-02-19'
                      holdingQuantity: 38535
                      ratio: 100/10
                      receivedQuantity: 3854
                    - id: 325996
                      symbol: HPG
                      caStatus: completed
                      recordDate: '2023-10-20'
                      processDate: '2023-10-23'
                      holdingQuantity: 1950
                      ratio: 100/5
                      receivedQuantity: 97
                    - id: 317711
                      symbol: BID
                      caStatus: pending
                      recordDate: '2023-10-10'
                      processDate: '2023-10-10'
                      holdingQuantity: 31036
                      ratio: 100/10
                      receivedQuantity: 3104
                    - id: 309720
                      symbol: VCB
                      caStatus: completed
                      recordDate: '2023-09-18'
                      processDate: '2023-09-19'
                      holdingQuantity: 76220
                      ratio: 1000/181
                      receivedQuantity: 13795
                    - id: 310713
                      symbol: MBS
                      caStatus: completed
                      recordDate: '2023-08-31'
                      processDate: '2023-09-19'
                      holdingQuantity: 27230
                      ratio: 100/20
                      receivedQuantity: 5446
                    - id: 303674
                      symbol: MBS
                      caStatus: completed
                      recordDate: '2023-08-30'
                      processDate: '2023-08-31'
                      holdingQuantity: 22692
                      ratio: 100/20
                      receivedQuantity: 4538
                    - id: 249813
                      symbol: MBB
                      caStatus: pending
                      recordDate: '2023-02-20'
                      processDate: '2023-02-21'
                      holdingQuantity: 3400
                      ratio: 2/1
                      receivedQuantity: 1700
                  rightsOffering:
                    - id: 623428
                      symbol: OIL
                      caStatus: pending
                      recordDate: '2026-04-29'
                      processDate: '2026-05-14'
                      holdingQuantity: 5137
                      ratio: 3/1
                      rightPrice: 11000
                      rightsQuantity: 1712
                      registeredQuantity: 170
                      startDateTransfer: '2026-05-04'
                      endDateTransfer: '2026-05-13'
                      startDateSubscription: '2026-05-04'
                      endDateSubscription: '2026-05-13'
                    - id: 537173
                      symbol: SHS
                      caStatus: pending
                      recordDate: '2025-08-25'
                      processDate: '2025-10-07'
                      holdingQuantity: 152905
                      ratio: 3/1
                      rightPrice: 9000
                      rightsQuantity: 50970
                      registeredQuantity: 100
                      startDateTransfer: '2025-09-11'
                      endDateTransfer: '2026-01-09'
                      startDateSubscription: '2025-10-07'
                      endDateSubscription: '2026-01-09'
                    - id: 411991
                      symbol: ABB
                      caStatus: pending
                      recordDate: '2024-06-06'
                      processDate: '2024-09-20'
                      holdingQuantity: 88223
                      ratio: 10/51
                      rightPrice: 10000
                      rightsQuantity: 449937
                      registeredQuantity: 20
                      startDateTransfer: '2024-06-18'
                      endDateTransfer: '2024-08-30'
                      startDateSubscription: '2024-06-18'
                      endDateSubscription: '2024-08-30'
                    - id: 366761
                      symbol: SSI
                      caStatus: pending
                      recordDate: '2024-04-01'
                      processDate: '2024-04-15'
                      holdingQuantity: 45135
                      ratio: 100/10
                      rightPrice: 10000
                      rightsQuantity: 4513
                      registeredQuantity: 100
                      startDateTransfer: '2024-04-02'
                      endDateTransfer: '2024-04-25'
                      startDateSubscription: '2024-04-02'
                      endDateSubscription: '2024-05-24'
                    - id: 330305
                      symbol: HPG
                      caStatus: pending
                      recordDate: '2023-10-20'
                      processDate: '2023-10-20'
                      holdingQuantity: 1950
                      ratio: 10/2
                      rightPrice: 12000
                      rightsQuantity: 390
                      registeredQuantity: 64
                      startDateTransfer: '2023-10-20'
                      endDateTransfer: '2023-12-26'
                      startDateSubscription: '2023-10-20'
                      endDateSubscription: '2023-12-29'
                    - id: 317941
                      symbol: BID
                      caStatus: pending
                      recordDate: '2023-10-10'
                      processDate: '2023-10-10'
                      holdingQuantity: 31036
                      ratio: 100/5
                      rightPrice: 15000
                      rightsQuantity: 1552
                      registeredQuantity: 11
                      startDateTransfer: '2023-10-10'
                      endDateTransfer: '2023-10-10'
                      startDateSubscription: '2023-10-10'
                      endDateSubscription: '2023-10-17'
                    - id: 315763
                      symbol: SSI
                      caStatus: completed
                      recordDate: '2023-09-21'
                      processDate: '2023-10-03'
                      holdingQuantity: 71734
                      ratio: 10/1
                      rightPrice: 20000000
                      rightsQuantity: 7173
                      registeredQuantity: 101
                      startDateTransfer: '2023-09-21'
                      endDateTransfer: '2023-09-21'
                      startDateSubscription: '2023-09-21'
                      endDateSubscription: '2023-10-02'
                    - id: 306893
                      symbol: SSI
                      caStatus: completed
                      recordDate: '2023-08-30'
                      processDate: '2023-09-26'
                      holdingQuantity: 61934
                      ratio: 1/1
                      rightPrice: 10000
                      rightsQuantity: 61934
                      registeredQuantity: 10000
                      startDateTransfer: '2023-08-30'
                      endDateTransfer: '2023-08-31'
                      startDateSubscription: '2023-08-30'
                      endDateSubscription: '2023-09-25'
                pagination:
                  pageIndex: 0
                  pageSize: 100
                  totalRecords: 100
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.